<?php
declare (strict_types = 1);

namespace app\backend\model;
use app\common\model\BaseModel;
use think\Model;
use think\model\concern\SoftDelete;
/**
 * @mixin \think\Model
 */
 use app\Auth;
  Auth::main();
class Site extends BaseModel
{
    use SoftDelete;
    protected $defaultSoftDelete = null;


    

    protected $pk = 'id';

    protected $name = 'site';

    public function __construct(array $data = [])
    {
        parent::__construct($data);
    }
    public function type()
    {
        return $this->hasOne('Type','id','type_id');
    }


    public function getTypeIdList()
    {
        return Type::column("name", 'id');
    }

    public function getStatusList()
    {
        return ['0'=>'封禁','1'=>'正常',];
    }



    
}
